package com.ozs.base.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.base.domain.BaseExpert;
import com.ozs.base.domain.BaseSupplier;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 供应商管理
 *
 * @author sunhh
 */
@Mapper
public interface BaseSupplierMapper extends BaseMapper<BaseSupplier> {

    /**
     * 新增
     * @param baseSupplier 供应商信息
     */
    int insertBaseSupplier(BaseSupplier baseSupplier);

    /**
     * 删除
     * @param id 供应商ID
     */
    int deleteBaseSupplier(int id);

    /**
     * 修改
     * @param baseSupplier 供应商信息
     */
    int updateBaseSupplier(BaseSupplier baseSupplier);

    /**
     * 查询
     * @param baseSupplier 供应商信息
     */
    List<BaseSupplier> selectBaseSupplier(BaseSupplier baseSupplier);
}
